<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/23/2003 *
 * ===============                              Last change: 09/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-sub_points.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add manually points to a user                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Manuell einem Mitglied Punkte gutschreiben       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
}

// Add description as navigation point
ADD_DESCR('admin', __FILE__);

// Fix a notice
if (!REQUEST_ISSET_GET('uid')) REQUEST_SET_GET('uid', '');

if (REQUEST_GET('uid') == "all") {
	// Add points to all accounts
	// @TODO Rewrite this constant
	define('__POINTS_VALUE', REQUEST_POST('points'));

	// Is the form sent?
	if ((IS_FORM_SENT()) && (REQUEST_POST('points') > 0)) {
		$result_main = SQL_QUERY("SELECT userid, email FROM `{!_MYSQL_PREFIX!}_user_data` WHERE `status`='CONFIRMED' ORDER BY `userid` ASC",
			__FILE__, __LINE__);
		while ($content = SQL_FETCHARRAY($result_main)) {
			// Ok, add points to used points and send an email to him...
			SUB_POINTS("admin_all", $content['userid'], REQUEST_POST('points'));

			// Add more content
			$content['text']   = SQL_ESCAPE(REQUEST_POST('reason'));
			$content['points'] = bigintval(REQUEST_POST('points'));

			// Load message and send it away
			$msg = LOAD_EMAIL_TEMPLATE("sub-points", $content, bigintval($content['userid']));
			sendEmail($content['email'], getMessage('ADMIN_SUB_SUBJ'), $msg);
		} // END - while

		// Free memory
		SQL_FREERESULT($result_main);

		// Output message
		LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_ALL_POINTS_SUBTRACTED'));
	} else {
		// Display form add points
		LOAD_TEMPLATE("admin_sub_points_all");
	}
} elseif (REQUEST_ISSET_GET('uid')) {
	// User ID found in URL so we use this give him some credits
	$result = SQL_QUERY_ESC("SELECT surname, family, email FROM `{!_MYSQL_PREFIX!}_user_data` WHERE userid=%s AND `status`='CONFIRMED' LIMIT 1",
		array(bigintval(REQUEST_GET('uid'))),__FILE__, __LINE__);
	if (SQL_NUMROWS($result) == 1) {
		// Selected user does exist
		$content = SQL_FETCHARRAY($result);

		if ((IS_FORM_SENT()) && (REQUEST_ISSET_POST(('points')))) {
			// Ok, add to used points and send an email to him...
			SUB_POINTS("admin_single", bigintval(REQUEST_GET('uid')), REQUEST_POST('points'));

			// Add more content
			$content['text']   = SQL_ESCAPE(REQUEST_POST('reason'));
			$content['points'] = bigintval(REQUEST_POST('points'));

			// Load email and send it away
			$msg = LOAD_EMAIL_TEMPLATE("sub-points", $content, bigintval(REQUEST_GET('uid')));
			sendEmail($content['email'], getMessage('ADMIN_SUB_SUBJ'), $msg);

			// Output message
			LOAD_TEMPLATE('admin_settings_saved', false, getMessage('ADMIN_POINTS_SUBTRACTED'));
		} else {
			// @TODO Rewrite these constants
			define('__USER_VALUE', "<a href=\"".generateMemberEmailLink($content['email'], "user_data")."\">".$content['surname']." ".$content['family']."</a>");
			define('__UID', bigintval(REQUEST_GET('uid')));

			// Load form
			LOAD_TEMPLATE("admin_sub_points");
		}
	} else {
		// User not found!
		LOAD_TEMPLATE('admin_settings_saved', false, "<div class=\"admin_failed\">".sprintf(getMessage('ADMIN_MEMBER_404'), REQUEST_GET('uid'))."</div>");
	}

	// Free result
	SQL_FREERESULT($result);
} else {
	// Output selection form with all confirmed user accounts listed
	ADD_MEMBER_SELECTION_BOX('0', true);
}

//
?>
