<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/17/2005 *
 * ================                             Last change: 02/17/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-doubler.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : General doubling informations                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Allgemeine Informationen zum Verdoppen           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
} elseif (!IS_MEMBER()) {
	redirectToUrl('modules.php?module=index');
} elseif ((!EXT_IS_ACTIVE('doubler')) && (!IS_ADMIN())) {
	addFatalMessage(__FILE__, __LINE__, sprintf(getMessage('EXTENSION_PROBLEM_EXT_INACTIVE'), 'doubler'));
	return;
}

// Add description as navigation point
ADD_DESCR('member', __FILE__);

// Percent values etc.
define('__CHARGE_VALUE', translateComma(getConfig('doubler_charge') * 100));
define('__REF_VALUE'   , translateComma(getConfig('doubler_ref') * 100));
define('__TOTAL_VALUE' , translateComma(getConfig('doubler_points')));
define('__MIN_VALUE'   , translateComma(getConfig('doubler_min')));
define('__MAX_VALUE'   , translateComma(getConfig('doubler_max')));

// Transfer referal ID
if (EXT_IS_ACTIVE('nickname')) {
	// Load nickname from DB
	$nick = NICKNAME_GET_NICK(getUserId());

	if (!empty($nick)) {
		// Set nickname
		define('__USERID', $nick);
	} else {
		// Use direct userid
		define('__USERID', getUserId());
	}
} else {
	// Use direct userid
	define('__USERID', getUserId());
}

// Usage counter
define('__DOUBLER_COUNTER', translateComma(getConfig('doubler_counter')));

// Which mail-send-mode did the admin setup?
switch (getConfig('doubler_send_mode')) {
case "DIRECT":
	define('DOUBLER_PAYOUT_TIME', getMessage('DOUBLER_PAYOUT_TIME_DIRECT'));
	break;

case "RESET":
	define('DOUBLER_PAYOUT_TIME', getMessage('DOUBLER_PAYOUT_TIME_RESET'));
	break;

default:
	define('DOUBLER_PAYOUT_TIME', sprintf(getMessage('DOUBLER_PAYOUT_TIME_UNKNOWN'), getConfig('doubler_send_mode')));
	DEBUG_LOG(__FILE__, __LINE__, constant('DOUBLER_PAYOUT_TIME'));
	break;
}

// Generate table with already payed out doubles
define('__DOUBLER_PAYOUT_HISTORY', DOUBLER_GENERATE_TABLE(getUserId(), 'Y', 'N', "DESC"));

// Generate table with next-to-run payouts
define('__DOUBLER_PAYOUT_NEXT', DOUBLER_GENERATE_TABLE(getUserId()));

// Generate table with refferal payouts
define('__DOUBLER_PAYOUT_REF', DOUBLER_GENERATE_TABLE(getUserId(), 'N', 'Y', "DESC"));

// Generate timemark
define('__TIMEOUT_MARK', createFancyTime(getConfig('doubler_timeout')));

// Points left to double
define('__LEFT_VALUE', translateComma(DOUBLER_GET_TOTAL_POINTS_LEFT()));

// Load template
LOAD_TEMPLATE("member_doubler");

//
?>
